//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      GUI/View/Toplevel/SessionModelView.h
//! @brief     Defines class SessionModelView
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2018
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#ifndef BORNAGAIN_GUI_VIEW_TOPLEVEL_SESSIONMODELVIEW_H
#define BORNAGAIN_GUI_VIEW_TOPLEVEL_SESSIONMODELVIEW_H

#include <QWidget>

class ProjectDocument;

//! The SessionModelView is a technical view which shows the content all current application
//! models. It appears as an additional view in the main navigation bar on the left, right
//! after the jobView (if corresponding setting of MainWindow is On).

class SessionModelView : public QWidget {
    Q_OBJECT

public:
    SessionModelView(QWidget* parent, ProjectDocument* document);
};

#endif // BORNAGAIN_GUI_VIEW_TOPLEVEL_SESSIONMODELVIEW_H
