//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      Resample/Processed/ParticleRegions.h
//! @brief     Defines function Compute::Slicing::particleRegions.
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2018
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#ifdef SWIG
#error no need to expose this header to Swig
#endif

#ifndef USER_API
#ifndef BORNAGAIN_RESAMPLE_PROCESSED_PARTICLEREGIONS_H
#define BORNAGAIN_RESAMPLE_PROCESSED_PARTICLEREGIONS_H

#include <vector>

class MultiLayer;
class ZLimits;

namespace Compute::Slicing {

std::vector<ZLimits> particleRegions(const MultiLayer& sample, bool use_slicing);

} // namespace Compute::Slicing


#endif // BORNAGAIN_RESAMPLE_PROCESSED_PARTICLEREGIONS_H
#endif // USER_API
