//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      Sample/Particle/PolyhedralUtil.h
//! @brief     Defines interface IDecoratableBorn.
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2018
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#ifndef USER_API
#ifndef BORNAGAIN_SAMPLE_PARTICLE_POLYHEDRALUTIL_H
#define BORNAGAIN_SAMPLE_PARTICLE_POLYHEDRALUTIL_H

#include "Sample/Scattering/ISampleNode.h"
#include <heinz/Vectors3D.h>

class IRotation;

namespace PolyhedralUtil {

//! Calculates the z-coordinate of the lowest vertex after rotation
double BottomZ(const std::vector<R3>& vertices, const IRotation* rotation);

//! Calculates the z-coordinate of the highest vertex after rotation
double TopZ(const std::vector<R3>& vertices, const IRotation* rotation);
} // namespace PolyhedralUtil

#endif // BORNAGAIN_SAMPLE_PARTICLE_POLYHEDRALUTIL_H
#endif // USER_API
